All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
dot_self.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/err/check_vector.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<int R, int C>
double | stan::math::dot_self (const Eigen::Matrix< double, R, C > &v)
| Returns the dot product of the specified vector with itself. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.